%% Generating data for Figure 4
close all; format compact; keep pphome; % clean up 
%%

save_plot = 1;

n_k = 100;
k_array = linspace(0.5,0.9,n_k);
n_points = 1e4;
h = 2*pi/n_points;
x_points = linspace(0,2*pi,n_points+1);


for kk = 1:n_k
k = k_array(kk);
K = ellipke(k);
zeta(kk) = 4*K^2*(2*k-1)/pi^2;
[~,CN,~] = ellipj(2*K./pi*x_points,k);
CN = sqrt(2)*k*2*K/pi*CN;

CN2 = CN.^2;
CN4 = CN.^4;
CN6 = CN.^6;

I2 = 0; I4=0; I6=0;

for i =1:n_points
    I2 = I2 + CN2(i);
    I4 = I4 + CN4(i);
    I6 = I6 + CN6(i);
end

I2 = h*I2;
I4 = h*I4;
I6 = h*I6;
diff(kk) = 2*pi*I6 - I2*I4;
end

%%

figure1 = figure(1);figure1.WindowState = 'maximized';clf;
plot(zeta,diff,'-','Color',[0 0 0],'LineWidth',3);
set(gca,'FontSize', 35);
set(gca,'TickLabelInterpreter','latex');
xlabel('$\zeta$','Interpreter', 'latex');
ylabel('$2\pi \|\phi\|_{L^6}^6-\|\phi\|_{L^4}^4 \|\phi\|_{L^2}^2 $','Interpreter', 'latex');
xlim([0,2]);

pbaspect([4 3 1]);
hold off;

if save_plot
    exportgraphics(gca,'test_continuation.png');
    movefile test_continuation.png ../figures/
end

cd ..