%% Generate figures of the paper
% Analysis of Kerr frequency combs in microresonators with two-photon absorption
% and free-carriers
% Lukas Bengel and Wolfgang Reichel
%%
% Before running, set pde2path (tested with pde2path v3.0. on Matlab R2021b)
% Note: PDE2Path is only required for the bifurcation diagram (Fig. 3)
%% 
close all; format compact; keep pphome; % clean up 
%% Create figures Folder

if not(isfolder('figures'))
    mkdir('figures')
end

%% Start generating data for plots
%% Generate Figures 1 and 2 of instability region
run(".\Figure1\Figure1.m")
run(".\Figure2\Figure2.m")

%% Generate Figure 3 of the bifurcation diagram
run(".\Figure3\cmds.m")
run(".\Figure3\plots.m")

%% Generate Figure 4 continuation condition for cnoidal waves
run(".\Figure4\Figure4.m")
%% Delete unnecessary files
cd Figure3\
rmdir('b','s');
rmdir('sigma_cont','s');
rmdir('sigma_cont-','s');
rmdir('tr','s');
cd ..

%% Delet figures
% rmdir('figures','s');